Bug 1815962 - [RHEL-8.3/RDMA] update mvapich2 to latest upstream release 2.3.3
Summary: [RHEL-8.3/RDMA] update mvapich2 to latest upstream release 2.3.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: mvapich2
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: Honggang LI
QA Contact: Afom T. Michael
URL:
Whiteboard:
Depends On:
Blocks: 1825061 1813407
TreeView+ depends on / blocked
 
Reported: 2020-03-23 02:18 UTC by Honggang LI
Modified: 2020-11-04 01:38 UTC (History)
4 users (show)

Fixed In Version: mvapich2-2.3.3-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:37:28 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:4456 0 None None None 2020-11-04 01:37:48 UTC

Description Honggang LI 2020-03-23 02:18:52 UTC
Description of problem:

https://mvapich.cse.ohio-state.edu/download/mvapich/mv2/mvapich2-2.3.3.tar.gz

Update mvapich2 for RHEL-8.3.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Afom T. Michael 2020-08-27 00:53:03 UTC
On RHEL-8.3 Snapshot-1, mvapich2-2.3.3-1.el8.x86_64 is included and our tests passed as shown below. And hence, moving to verified.

[root@rdma-perf-01 ~]$ cat /etc/redhat-release 
Red Hat Enterprise Linux release 8.3 Beta (Ootpa)
[root@rdma-perf-01 ~]$ uname -r
4.18.0-232.el8.x86_64
[root@rdma-perf-01 ~]$ rpm -qa | grep -E "rdma|ibverbs|ucx|openmpi|mvapich2"
libibverbs-29.0-3.el8.x86_64
mpitests-mvapich2-5.6.2-1.el8.x86_64
ucx-1.8.0-1.el8.x86_64
rdma-core-devel-29.0-3.el8.x86_64
mvapich2-2.3.3-1.el8.x86_64
librdmacm-utils-29.0-3.el8.x86_64
rdma-core-29.0-3.el8.x86_64
libibverbs-utils-29.0-3.el8.x86_64
librdmacm-29.0-3.el8.x86_64
[root@rdma-perf-01 ~]$ ibstatus 
Infiniband device 'mlx4_0' port 1 status:
	default gid:	 fe80:0000:0000:0000:f452:1403:007b:e1b1
	base lid:	 0x9
	sm lid:		 0xd
	state:		 4: ACTIVE
	phys state:	 5: LinkUp
	rate:		 56 Gb/sec (4X FDR)
	link_layer:	 InfiniBand

Infiniband device 'mlx4_0' port 2 status:
	default gid:	 fe80:0000:0000:0000:f652:14ff:fe7b:e1b2
	base lid:	 0x0
	sm lid:		 0x0
	state:		 4: ACTIVE
	phys state:	 5: LinkUp
	rate:		 56 Gb/sec (4X FDR)
	link_layer:	 Ethernet

[root@rdma-perf-01 ~]$ 

Test was executed as shown below with results in the table. 
$ timeout --preserve-status --kill-after=5m 3m mpirun -hostfile /root/hfile_one_core -np 2 mpitests-IMB-MPI1 PingPong -time 1.5

Test results for mpi/mvapich2 on rdma-perf-01:
4.18.0-232.el8.x86_64, rdma-core-29.0-3.el8, mlx4, ib0, & mlx4_0
    Result | Status | Test
  ---------+--------+------------------------------------
      PASS |      0 | mvapich2 IMB-MPI1 PingPong mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 PingPing mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Sendrecv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Exchange mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Bcast mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allgather mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allgatherv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Gather mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Gatherv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Scatter mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Scatterv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Alltoall mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Alltoallv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Reduce mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Reduce_scatter mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allreduce mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Barrier mpirun one_core
      PASS |      0 | mvapich2 IMB-IO S_Write_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO S_Read_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO S_Write_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO S_Read_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_shared mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_shared mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_priv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_priv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_shared mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_shared mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Window mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Unidir_Put mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Unidir_Get mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Bidir_Get mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Bidir_Put mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Accumulate mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ibcast mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iallgather mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iallgatherv mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Igather mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Igatherv mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iscatter mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iscatterv mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ialltoall mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ialltoallv mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ireduce mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ireduce_scatter mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iallreduce mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ibarrier mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Unidir_put mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Unidir_get mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Bidir_put mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Bidir_get mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA One_put_all mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA One_get_all mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA All_put_all mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA All_get_all mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Put_local mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Put_all_local mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Exchange_put mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Exchange_get mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Accumulate mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Get_accumulate mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Fetch_and_op mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Compare_and_swap mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Get_local mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Get_all_local mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 PingPong mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 PingPing mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Sendrecv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Exchange mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Bcast mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allgather mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allgatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Gather mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Gatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Scatter mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Scatterv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Alltoall mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Alltoallv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Reduce mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Reduce_scatter mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allreduce mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-MPI1 Barrier mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO S_Write_indv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO S_Read_indv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO S_Write_expl mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO S_Read_expl mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_indv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_indv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_expl mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_expl mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_shared mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_shared mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_priv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_priv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_indv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_indv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_expl mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_expl mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_shared mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_shared mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-EXT Window mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-EXT Unidir_Put mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-EXT Unidir_Get mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-EXT Bidir_Get mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-EXT Bidir_Put mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-EXT Accumulate mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Ibcast mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Iallgather mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Iallgatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Igather mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Igatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Iscatter mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Iscatterv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Ialltoall mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Ialltoallv mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Ireduce mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Ireduce_scatter mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Iallreduce mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-NBC Ibarrier mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Unidir_put mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Unidir_get mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Bidir_put mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Bidir_get mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA One_put_all mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA One_get_all mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA All_put_all mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA All_get_all mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Put_local mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Put_all_local mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Exchange_put mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Exchange_get mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Accumulate mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Get_accumulate mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Fetch_and_op mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Compare_and_swap mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Get_local mpirun_rsh one_core
      PASS |      0 | mvapich2 IMB-RMA Get_all_local mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU acc_latency mpirun one_core
      PASS |      0 | mvapich2 OSU allgather mpirun one_core
      PASS |      0 | mvapich2 OSU allgatherv mpirun one_core
      PASS |      0 | mvapich2 OSU allreduce mpirun one_core
      PASS |      0 | mvapich2 OSU alltoall mpirun one_core
      PASS |      0 | mvapich2 OSU alltoallv mpirun one_core
      PASS |      0 | mvapich2 OSU barrier mpirun one_core
      PASS |      0 | mvapich2 OSU bcast mpirun one_core
      PASS |      0 | mvapich2 OSU bibw mpirun one_core
      PASS |      0 | mvapich2 OSU bw mpirun one_core
      PASS |      0 | mvapich2 OSU cas_latency mpirun one_core
      PASS |      0 | mvapich2 OSU fop_latency mpirun one_core
      PASS |      0 | mvapich2 OSU gather mpirun one_core
      PASS |      0 | mvapich2 OSU gatherv mpirun one_core
      PASS |      0 | mvapich2 OSU get_acc_latency mpirun one_core
      PASS |      0 | mvapich2 OSU get_bw mpirun one_core
      PASS |      0 | mvapich2 OSU get_latency mpirun one_core
      PASS |      0 | mvapich2 OSU hello mpirun one_core
      PASS |      0 | mvapich2 OSU iallgather mpirun one_core
      PASS |      0 | mvapich2 OSU iallgatherv mpirun one_core
      PASS |      0 | mvapich2 OSU iallreduce mpirun one_core
      PASS |      0 | mvapich2 OSU ialltoall mpirun one_core
      PASS |      0 | mvapich2 OSU ialltoallv mpirun one_core
      PASS |      0 | mvapich2 OSU ialltoallw mpirun one_core
      PASS |      0 | mvapich2 OSU ibarrier mpirun one_core
      PASS |      0 | mvapich2 OSU ibcast mpirun one_core
      PASS |      0 | mvapich2 OSU igather mpirun one_core
      PASS |      0 | mvapich2 OSU igatherv mpirun one_core
      PASS |      0 | mvapich2 OSU init mpirun one_core
      PASS |      0 | mvapich2 OSU ireduce mpirun one_core
      PASS |      0 | mvapich2 OSU iscatter mpirun one_core
      PASS |      0 | mvapich2 OSU iscatterv mpirun one_core
      PASS |      0 | mvapich2 OSU latency mpirun one_core
      PASS |      0 | mvapich2 OSU mbw_mr mpirun one_core
      PASS |      0 | mvapich2 OSU multi_lat mpirun one_core
      PASS |      0 | mvapich2 OSU put_bibw mpirun one_core
      PASS |      0 | mvapich2 OSU put_bw mpirun one_core
      PASS |      0 | mvapich2 OSU put_latency mpirun one_core
      PASS |      0 | mvapich2 OSU reduce mpirun one_core
      PASS |      0 | mvapich2 OSU reduce_scatter mpirun one_core
      PASS |      0 | mvapich2 OSU scatter mpirun one_core
      PASS |      0 | mvapich2 OSU scatterv mpirun one_core
      PASS |      0 | mvapich2 OSU acc_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU allgather mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU allgatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU allreduce mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU alltoall mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU alltoallv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU barrier mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU bcast mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU bibw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU bw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU cas_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU fop_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU gather mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU gatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU get_acc_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU get_bw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU get_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU hello mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iallgather mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iallgatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iallreduce mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ialltoall mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ialltoallv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ialltoallw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ibarrier mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ibcast mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU igather mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU igatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU init mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ireduce mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iscatter mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iscatterv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU mbw_mr mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU multi_lat mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU put_bibw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU put_bw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU put_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU reduce mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU reduce_scatter mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU scatter mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU scatterv mpirun_rsh one_core

Test results for mpi/mvapich2 on rdma-perf-01:
4.18.0-232.el8.x86_64, rdma-core-29.0-3.el8, mlx4, roce.45, & mlx4_0
    Result | Status | Test
  ---------+--------+------------------------------------
      PASS |      0 | mvapich2 IMB-MPI1 PingPong mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 PingPing mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Sendrecv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Exchange mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Bcast mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allgather mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allgatherv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Gather mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Gatherv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Scatter mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Scatterv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Alltoall mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Alltoallv mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Reduce mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Reduce_scatter mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Allreduce mpirun one_core
      PASS |      0 | mvapich2 IMB-MPI1 Barrier mpirun one_core
      PASS |      0 | mvapich2 IMB-IO S_Write_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO S_Read_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO S_Write_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO S_Read_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_shared mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_shared mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Write_priv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO P_Read_priv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_indv mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_expl mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Write_shared mpirun one_core
      PASS |      0 | mvapich2 IMB-IO C_Read_shared mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Window mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Unidir_Put mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Unidir_Get mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Bidir_Get mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Bidir_Put mpirun one_core
      PASS |      0 | mvapich2 IMB-EXT Accumulate mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ibcast mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iallgather mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iallgatherv mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Igather mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Igatherv mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iscatter mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iscatterv mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ialltoall mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ialltoallv mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ireduce mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ireduce_scatter mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Iallreduce mpirun one_core
      PASS |      0 | mvapich2 IMB-NBC Ibarrier mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Unidir_put mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Unidir_get mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Bidir_put mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Bidir_get mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA One_put_all mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA One_get_all mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA All_put_all mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA All_get_all mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Put_local mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Put_all_local mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Exchange_put mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Exchange_get mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Accumulate mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Get_accumulate mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Fetch_and_op mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Compare_and_swap mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Get_local mpirun one_core
      PASS |      0 | mvapich2 IMB-RMA Get_all_local mpirun one_core
      PASS |      0 | mvapich2 OSU acc_latency mpirun one_core
      PASS |      0 | mvapich2 OSU allgather mpirun one_core
      PASS |      0 | mvapich2 OSU allgatherv mpirun one_core
      PASS |      0 | mvapich2 OSU allreduce mpirun one_core
      PASS |      0 | mvapich2 OSU alltoall mpirun one_core
      PASS |      0 | mvapich2 OSU alltoallv mpirun one_core
      PASS |      0 | mvapich2 OSU barrier mpirun one_core
      PASS |      0 | mvapich2 OSU bcast mpirun one_core
      PASS |      0 | mvapich2 OSU bibw mpirun one_core
      PASS |      0 | mvapich2 OSU bw mpirun one_core
      PASS |      0 | mvapich2 OSU cas_latency mpirun one_core
      PASS |      0 | mvapich2 OSU fop_latency mpirun one_core
      PASS |      0 | mvapich2 OSU gather mpirun one_core
      PASS |      0 | mvapich2 OSU gatherv mpirun one_core
      PASS |      0 | mvapich2 OSU get_acc_latency mpirun one_core
      PASS |      0 | mvapich2 OSU get_bw mpirun one_core
      PASS |      0 | mvapich2 OSU get_latency mpirun one_core
      PASS |      0 | mvapich2 OSU hello mpirun one_core
      PASS |      0 | mvapich2 OSU iallgather mpirun one_core
      PASS |      0 | mvapich2 OSU iallgatherv mpirun one_core
      PASS |      0 | mvapich2 OSU iallreduce mpirun one_core
      PASS |      0 | mvapich2 OSU ialltoall mpirun one_core
      PASS |      0 | mvapich2 OSU ialltoallv mpirun one_core
      PASS |      0 | mvapich2 OSU ialltoallw mpirun one_core
      PASS |      0 | mvapich2 OSU ibarrier mpirun one_core
      PASS |      0 | mvapich2 OSU ibcast mpirun one_core
      PASS |      0 | mvapich2 OSU igather mpirun one_core
      PASS |      0 | mvapich2 OSU igatherv mpirun one_core
      PASS |      0 | mvapich2 OSU init mpirun one_core
      PASS |      0 | mvapich2 OSU ireduce mpirun one_core
      PASS |      0 | mvapich2 OSU iscatter mpirun one_core
      PASS |      0 | mvapich2 OSU iscatterv mpirun one_core
      PASS |      0 | mvapich2 OSU latency mpirun one_core
      PASS |      0 | mvapich2 OSU mbw_mr mpirun one_core
      PASS |      0 | mvapich2 OSU multi_lat mpirun one_core
      PASS |      0 | mvapich2 OSU put_bibw mpirun one_core
      PASS |      0 | mvapich2 OSU put_bw mpirun one_core
      PASS |      0 | mvapich2 OSU put_latency mpirun one_core
      PASS |      0 | mvapich2 OSU reduce mpirun one_core
      PASS |      0 | mvapich2 OSU reduce_scatter mpirun one_core
      PASS |      0 | mvapich2 OSU scatter mpirun one_core
      PASS |      0 | mvapich2 OSU scatterv mpirun one_core
      PASS |      0 | mvapich2 OSU acc_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU allgather mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU allgatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU allreduce mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU alltoall mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU alltoallv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU barrier mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU bcast mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU bibw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU bw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU cas_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU fop_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU gather mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU gatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU get_acc_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU get_bw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU get_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU hello mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iallgather mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iallgatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iallreduce mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ialltoall mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ialltoallv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ialltoallw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ibarrier mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ibcast mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU igather mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU igatherv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU init mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU ireduce mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iscatter mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU iscatterv mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU mbw_mr mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU multi_lat mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU put_bibw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU put_bw mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU put_latency mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU reduce mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU reduce_scatter mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU scatter mpirun_rsh one_core
      PASS |      0 | mvapich2 OSU scatterv mpirun_rsh one_core

In few configs, issue reported on https://bugzilla.redhat.com/show_bug.cgi?id=1848665 was observed but will be tracked in that BZ.

Comment 7 errata-xmlrpc 2020-11-04 01:37:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (rdma-core bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:4456


Note You need to log in before you can comment on or make changes to this bug.